# Web Time Range Menu Custom

Extend period and comparison period options for the date and datetime fields filted menu adding a new option called “Custom Period”.

Table of contents

- Usage
- Bug Tracker
- Credits
  - Authors
  - Contributors
  - Maintainers

# Usage

To see this module working:

1. Navigate to any menu that supports date-based filters.
2. Open Custom period tab.
3. Add new date filter with the provided options.

For the pivots, on the comparison tab you can see the same option to make the comparison with the provided filter, taking th reference from the set filter.

Note: For “days,” it functions as a range; for example, “Last 7 days” returns the period from 7 days ago up to today. However, for other options, it provides the range for the selected period. For instance, “Last 1 month” returns the period from the first day of the previous month to the last day of the previous month.

# Bug Tracker

Bugs are tracked on GitHub Issues. In case of trouble, please check there if your issue has already been reported. If you spotted it first, help us to smash it by providing a detailed and welcomed feedback.

Do not contact contributors directly about support or help with technical issues.

# Credits

## Authors

- Tecnativa

## Contributors

- Tecnativa:
  - Alexandre D. Díaz
  - Carlos Roca

## Maintainers

This module is maintained by the OCA.

OCA, or the Odoo Community Association, is a nonprofit organization whose mission is to support the collaborative development of Odoo features and promote its widespread use.

This module is part of the OCA/web project on GitHub.

You are welcome to contribute. To learn how please visit https://odoo-community.org/page/Contribute.